Package org.apache.tools.ant.taskdefs.optional.sos

# Interface SOSCmd

All Known Implementing Classes:
  `SOS`, `SOSCheckin`, `SOSCheckout`, `SOSGet`, `SOSLabel`

public interface SOSCmd
Interface to hold constants used by the SOS tasks

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMMAND_CHECKIN_FILE`
The checkin file command
`static final String`
`COMMAND_CHECKIN_PROJECT`
The checkin project command
`static final String`
`COMMAND_CHECKOUT_FILE`
The checkout file command
`static final String`
`COMMAND_CHECKOUT_PROJECT`
The checkout project command
`static final String`
`COMMAND_GET_FILE`
The get file command
`static final String`
`COMMAND_GET_PROJECT`
The get project command
`static final String`
`COMMAND_HISTORY`
The get history command
`static final String`
`COMMAND_LABEL`
The add label command
`static final String`
`COMMAND_SOS_EXE`
The sos executable
`static final String`
`FLAG_COMMAND`
The command option
`static final String`
`FLAG_COMMENT`
The log option
`static final String`
`FLAG_FILE`
The file option
`static final String`
`FLAG_LABEL`
The label option
`static final String`
`FLAG_NO_CACHE`
The no cache option
`static final String`
`FLAG_NO_COMPRESSION`
The no compression option
`static final String`
`FLAG_PASSWORD`
The password option
`static final String`
`FLAG_PROJECT`
The project option
`static final String`
`FLAG_RECURSION`
The recursive option
`static final String`
`FLAG_SOS_HOME`
The sos home option
`static final String`
`FLAG_SOS_SERVER`
The server option
`static final String`
`FLAG_USERNAME`
The username option
`static final String`
`FLAG_VERBOSE`
The verbose option
`static final String`
`FLAG_VERSION`
The revision option
`static final String`
`FLAG_VSS_SERVER`
The database (vss server) option
`static final String`
`FLAG_WORKING_DIR`
The workdir option
`static final String`
`PROJECT_PREFIX`
The project prefix

## Field Details

### COMMAND_SOS_EXE

static final String COMMAND_SOS_EXE
The sos executable

See Also:
  - Constant Field Values

### COMMAND_GET_FILE

static final String COMMAND_GET_FILE
The get file command

See Also:
  - Constant Field Values

### COMMAND_GET_PROJECT

static final String COMMAND_GET_PROJECT
The get project command

See Also:
  - Constant Field Values

### COMMAND_CHECKOUT_FILE

static final String COMMAND_CHECKOUT_FILE
The checkout file command

See Also:
  - Constant Field Values

### COMMAND_CHECKOUT_PROJECT

static final String COMMAND_CHECKOUT_PROJECT
The checkout project command

See Also:
  - Constant Field Values

### COMMAND_CHECKIN_FILE

static final String COMMAND_CHECKIN_FILE
The checkin file command

See Also:
  - Constant Field Values

### COMMAND_CHECKIN_PROJECT

static final String COMMAND_CHECKIN_PROJECT
The checkin project command

See Also:
  - Constant Field Values

### COMMAND_HISTORY

static final String COMMAND_HISTORY
The get history command

See Also:
  - Constant Field Values

### COMMAND_LABEL

static final String COMMAND_LABEL
The add label command

See Also:
  - Constant Field Values

### PROJECT_PREFIX

static final String PROJECT_PREFIX
The project prefix

See Also:
  - Constant Field Values

### FLAG_COMMAND

static final String FLAG_COMMAND
The command option

See Also:
  - Constant Field Values

### FLAG_VSS_SERVER

static final String FLAG_VSS_SERVER
The database (vss server) option

See Also:
  - Constant Field Values

### FLAG_USERNAME

static final String FLAG_USERNAME
The username option

See Also:
  - Constant Field Values

### FLAG_PASSWORD

static final String FLAG_PASSWORD
The password option

See Also:
  - Constant Field Values

### FLAG_COMMENT

static final String FLAG_COMMENT
The log option

See Also:
  - Constant Field Values

### FLAG_WORKING_DIR

static final String FLAG_WORKING_DIR
The workdir option

See Also:
  - Constant Field Values

### FLAG_RECURSION

static final String FLAG_RECURSION
The recursive option

See Also:
  - Constant Field Values

### FLAG_VERSION

static final String FLAG_VERSION
The revision option

See Also:
  - Constant Field Values

### FLAG_LABEL

static final String FLAG_LABEL
The label option

See Also:
  - Constant Field Values

### FLAG_NO_COMPRESSION

static final String FLAG_NO_COMPRESSION
The no compression option

See Also:
  - Constant Field Values

### FLAG_NO_CACHE

static final String FLAG_NO_CACHE
The no cache option

See Also:
  - Constant Field Values

### FLAG_SOS_SERVER

static final String FLAG_SOS_SERVER
The server option

See Also:
  - Constant Field Values

### FLAG_SOS_HOME

static final String FLAG_SOS_HOME
The sos home option

See Also:
  - Constant Field Values

### FLAG_PROJECT

static final String FLAG_PROJECT
The project option

See Also:
  - Constant Field Values

### FLAG_FILE

static final String FLAG_FILE
The file option

See Also:
  - Constant Field Values

### FLAG_VERBOSE

static final String FLAG_VERBOSE
The verbose option

See Also:
  - Constant Field Values